﻿Type=StaticCode
Version=3.82
B4A=true
@EndOfDesignText@
' Call debugModeSet once when app starts
' When running in Debug mode all Debug.debugLog("message") will be logged
Public Sub Process_Globals
	Public debugMode As Boolean
End Sub

Public Sub debugModeSet()
	' Use reflection library to turn logs on when running in debug mode
	Dim r As Reflector
	debugMode = r.GetStaticField("anywheresoftware.b4a.BA", "debugMode")
End Sub

Public Sub debugLog(s As String)
	If debugMode Then Log(s)
End Sub